View Issue Details

IDProjectCategoryView StatusLast Update
0000356FreeCADFeaturepublic2011-11-07 12:34
ReporterJriegelAssigned To 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000356: Switch from QSvg to QWebKit
DescriptionAs discussed in:

https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=10&t=954&p=7793#p7793

Switching from deprecated QSvg to the QWebKit for the Drawing view.
TagsNo tags attached.

Relationships

parent of 0000935 closedyorik Failure to load SVG file 

Activities

wmayer

2011-09-20 07:35

administrator   ~0001128

According to http://labs.qt.nokia.com/2011/05/12/qt-modules-maturity-level-the-list/ QtSVG will not be removed but also not further maintained. It will just stay as is.

wmayer

2011-11-07 12:33

administrator   ~0001264

QtSVG won't be dropped so that Drawing doesn't need to be changed. The icons (on Windows) now get rendered by the Webkit engine.

Issue History

Date Modified Username Field Change
2011-05-25 06:34 Jriegel New Issue
2011-05-25 06:34 Jriegel Status new => acknowledged
2011-09-20 07:35 wmayer Note Added: 0001128
2011-11-07 12:33 wmayer Note Added: 0001264
2011-11-07 12:33 wmayer Status acknowledged => closed
2011-11-07 12:34 wmayer Resolution open => fixed
2011-11-07 12:34 wmayer Fixed in Version => 0.12
2013-01-21 12:07 yorik Relationship added parent of 0000935